DcwCrossTileID (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class DcwCrossTileID

    java.lang.Object
      com.bbn.openmap.layer.vpf.DcwCrossTileID

    public class DcwCrossTileID

extends java.lang.Object

Encapsulate the VPF Cross-Tile identifier primitive datatype. The cross-tile identifier relates map features that cross multiple tiles.
Note: Mil-Std-2407 cross tile ids have a fourth, unused field. This class will read that field, but does not use it.

Field Summary
`int` | `currentTileKey` the key for this tile
`int` | `nextTileID` the id for the connected tile
`int` | `nextTileKey` the key in the adjoining tile

Constructor Summary
`DcwCrossTileID(BinaryFile in)` Construct a DcwCrossTileID from the specified input stream.
`DcwCrossTileID(int currentTileKey, int nextTileID, int nextTileKey)` Construct a DcwCrossTileID

Method Summary
`java.lang.String` | `toString()` produce a nice printed version of all our contained information

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### currentTileKey

    public final int currentTileKey

  the key for this tile

### nextTileID

    public final int nextTileID

  the id for the connected tile

### nextTileKey

    public final int nextTileKey

  the key in the adjoining tile

Constructor Detail

### DcwCrossTileID

    public DcwCrossTileID(int currentTileKey,
                          int nextTileID,
                          int nextTileKey)

  Construct a DcwCrossTileID

  Parameters:
    `currentTileKey` - primitive ID in current tile
    `nextTileID` - tile ID
    `nextTileKey` - primitive ID in nextTileID

### DcwCrossTileID

    public DcwCrossTileID(BinaryFile in)
                   throws FormatException,
                          java.io.EOFException

  Construct a DcwCrossTileID from the specified input stream.

  Parameters:
    `in` - the filestream to construct from
  Throws:
    `FormatException` - some error was detected while reading the info for the column.
    `java.io.EOFException` - EOF was encountered before reading any data

Method Detail

### toString

    public java.lang.String toString()

  produce a nice printed version of all our contained information

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a nice little string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details